PipeWire: module-session-manager.c File Reference

PipeWire 0.3.37

Functions
module-session-manager.c File Reference
Include dependency graph for module-session-manager.c:

## Functions
int | client_endpoint_factory_init (struct pw_impl_module *module)
int | client_session_factory_init (struct pw_impl_module *module)
int | session_factory_init (struct pw_impl_module *module)
int | endpoint_factory_init (struct pw_impl_module *module)
int | endpoint_stream_factory_init (struct pw_impl_module *module)
int | endpoint_link_factory_init (struct pw_impl_module *module)
int | pw_protocol_native_ext_session_manager_init (struct pw_context *context)
int | pipewire__module_init (struct pw_impl_module *module, const char *args)

## Function Documentation

## ◆ client_endpoint_factory_init()

int client_endpoint_factory_init | ( | struct pw_impl_module * | module | ) |

Referenced by pipewire__module_init().

## ◆ client_session_factory_init()

int client_session_factory_init | ( | struct pw_impl_module * | module | ) |

Referenced by pipewire__module_init().

## ◆ endpoint_factory_init()

int endpoint_factory_init | ( | struct pw_impl_module * | module | ) |

Referenced by pipewire__module_init().

## ◆ endpoint_link_factory_init()

int endpoint_link_factory_init | ( | struct pw_impl_module * | module | ) |

Referenced by pipewire__module_init().

## ◆ endpoint_stream_factory_init()

int endpoint_stream_factory_init | ( | struct pw_impl_module * | module | ) |

Referenced by pipewire__module_init().

## ◆ pipewire__module_init()

int pipewire__module_init | ( | struct pw_impl_module * | module,
|  | const char * | args
| ) |  |

References client_endpoint_factory_init(), client_session_factory_init(), endpoint_factory_init(), endpoint_link_factory_init(), endpoint_stream_factory_init(), pw_impl_module_get_context(), pw_impl_module_update_properties(), pw_protocol_native_ext_session_manager_init(), session_factory_init(), and SPA_DICT_INIT_ARRAY.

## ◆ pw_protocol_native_ext_session_manager_init()

int pw_protocol_native_ext_session_manager_init | ( | struct pw_context * | context | ) |

Referenced by pipewire__module_init().

## ◆ session_factory_init()

int session_factory_init | ( | struct pw_impl_module * | module | ) |

Referenced by pipewire__module_init().